## net.i2p.router.web
Class StatSummarizer

    java.lang.Object
      net.i2p.router.web.StatSummarizer

All Implemented Interfaces:
  java.lang.Runnable

    public class StatSummarizer

extends java.lang.Object
implements java.lang.Runnable

Constructor Summary
`StatSummarizer()`

Method Summary
`(package private) java.util.List` `getListeners()` list of SummaryListener instances
`boolean` `getXML(Rate rate, java.io.OutputStream out)`
`static StatSummarizer` `instance()`
`boolean` `renderPng(java.io.OutputStream out, java.lang.String templateFilename)`
`boolean` `renderPng(Rate rate, java.io.OutputStream out)`
`boolean` `renderPng(Rate rate, java.io.OutputStream out, int width, int height, boolean hideLegend, boolean hideGrid, boolean hideTitle, boolean showEvents, int periodCount, boolean showCredit)`
`boolean` `renderRatePng(java.io.OutputStream out, int width, int height, boolean hideLegend, boolean hideGrid, boolean hideTitle, boolean showEvents, int periodCount, boolean showCredit)`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatSummarizer

    public StatSummarizer()

Method Detail

### instance

    public static StatSummarizer instance()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### getListeners

    java.util.List getListeners()

  list of SummaryListener instances

### renderPng

    public boolean renderPng(Rate rate,
                             java.io.OutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderPng

    public boolean renderPng(Rate rate,
                             java.io.OutputStream out,
                             int width,
                             int height,
                             boolean hideLegend,
                             boolean hideGrid,
                             boolean hideTitle,
                             boolean showEvents,
                             int periodCount,
                             boolean showCredit)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderPng

    public boolean renderPng(java.io.OutputStream out,
                             java.lang.String templateFilename)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### getXML

    public boolean getXML(Rate rate,
                          java.io.OutputStream out)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderRatePng

    public boolean renderRatePng(java.io.OutputStream out,
                                 int width,
                                 int height,
                                 boolean hideLegend,
                                 boolean hideGrid,
                                 boolean hideTitle,
                                 boolean showEvents,
                                 int periodCount,
                                 boolean showCredit)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`